import * as fs from 'fs';
import Mustache from 'mustache';
import path from 'path';
import { getData } from './src/site';

async function main() {
  console.log(
    Mustache.render(
      fs.readFileSync(
        path.join(__dirname, '..', 'views', 'nginx.conf.mustache'),
        'utf8',
      ),
      await getData(process.env),
      undefined,
      { escape: (v) => v },
    ),
  );
  process.exit(0);
}
main();
